Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin.v5
Class PluginDefaultGroovyMethods

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
          org.codehaus.groovy.vmplugin.v5.PluginDefaultGroovyMethods

    public class PluginDefaultGroovyMethods

extends DefaultGroovyMethodsSupport

This class defines new Java 5 specific groovy methods which extend the normal JDK classes inside the Groovy environment. Static methods are used with the first parameter the destination class.

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
`DefaultGroovyMethodsSupport.RangeInfo`

Constructor Summary
`PluginDefaultGroovyMethods()`

Method Summary
`static StringBuilder` | `leftShift(StringBuilder self, Object value)` Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuilder (Only works with JDK1.5 or later).
`static Object` | `next(Enum self)` This method is called by the ++ operator for enums.
`static String` | `plus(StringBuilder self, String value)` Appends a String to this StringBuilder (Only works with JDK1.5 or later).
`static Object` | `previous(Enum self)` This method is called by the -- operator for enums.
`static void` | `putAt(StringBuilder self, EmptyRange range, Object value)` Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).
`static void` | `putAt(StringBuilder self, IntRange range, Object value)` Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).
`static int` | `size(StringBuilder builder)` Standard Groovy size() method for StringBuilders (Only works with JDK1.5 or later).

Methods inherited from class org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
`cloneSimilarCollection, cloneSimilarMap, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarOrDefaultCollection, createSimilarSet, normaliseIndex, sameType, subListBorders, subListBorders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginDefaultGroovyMethods

    public PluginDefaultGroovyMethods()

Method Detail

### next

    public static Object next(Enum self)

  This method is called by the ++ operator for enums. It will invoke Groovy's default next behaviour for enums do not have their own next method (Only works with JDK1.5 or later).

  Parameters:
    `self` - an Enum
  Returns:
    the next defined enum from the enum class

### previous

    public static Object previous(Enum self)

  This method is called by the -- operator for enums. It will invoke Groovy's default previous behaviour for enums that do not have their own previous method (Only works with JDK1.5 or later).

  Parameters:
    `self` - an Enum
  Returns:
    the previous defined enum from the enum class

### size

    public static int size(StringBuilder builder)

  Standard Groovy size() method for StringBuilders (Only works with JDK1.5 or later).

  Parameters:
    `builder` - a StringBuilder
  Returns:
    the length of the StringBuilder

### leftShift

    public static StringBuilder leftShift(StringBuilder self,
                                          Object value)

  Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuilder (Only works with JDK1.5 or later).

  Parameters:
    `self` - a StringBuilder
    `value` - a value to append
  Returns:
    the StringBuilder on which this operation was invoked

### putAt

    public static void putAt(StringBuilder self,
                             IntRange range,
                             Object value)

  Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later). Index values are treated as characters within the builder.

  Parameters:
    `self` - a StringBuilder
    `range` - a Range
    `value` - the object that's toString() will be inserted

### putAt

    public static void putAt(StringBuilder self,
                             EmptyRange range,
                             Object value)

  Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).

  Parameters:
    `self` - a StringBuilder
    `range` - a Range
    `value` - the object that's toString() will be inserted

### plus

    public static String plus(StringBuilder self,
                              String value)

  Appends a String to this StringBuilder (Only works with JDK1.5 or later).

  Parameters:
    `self` - a StringBuilder
    `value` - a String
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD